Check if Date greater than previous Selection

More
3 years 5 months ago #109410 by jajas
jajas created the topic: Check if Date greater than previous Selection
Dear LS Team,

I have 2 questionn:


Q1. When you buy your new House? [ANSWER IS CHOOSE MONTH AND YEAR]

ANSWER: 2013 OF JUNE [DATE FORMAT]

Q2. When you move to your new house? [ANSWER IS MONTH AND YEAR]
[valid answer in Q2 cannot less than Answer in Q1, so if responden choose date less of 2013 of June will rise alert message]

How to make date validation like question above in lime survey?


Need help

Thanks & Regards,

JajaS

Please Log in to join the conversation.

More
3 years 5 months ago #109415 by jajas
jajas replied the topic: Check if Date greater than previous Selection
Nobody can't help me :(

Please Log in to join the conversation.

More
3 years 5 months ago - 3 years 5 months ago #109465 by tpartner
tpartner replied the topic: Check if Date greater than previous Selection
Assuming the first question code is "date1", this seems to work as the question validation equation for a normal date question:
this >= date1



.

Cheers,
Tony Partner
Solutions, code and workarounds presented in these forums are given without any warranty, implied or otherwise.
Attachments:
Last Edit: 3 years 5 months ago by tpartner.

Please Log in to join the conversation.

More
3 years 6 days ago #114443 by jpw
jpw replied the topic: Check if Date greater than previous Selection
tpartner

What question type are you using for this validation equation? I don't see a Question validation equation for the Date/Time question type

Please Log in to join the conversation.

More
3 years 6 days ago #114445 by tpartner
tpartner replied the topic: Check if Date greater than previous Selection
Date question type. LS version 2.05.

Cheers,
Tony Partner
Solutions, code and workarounds presented in these forums are given without any warranty, implied or otherwise.

Please Log in to join the conversation.

More
3 years 6 days ago #114446 by jpw
jpw replied the topic: Check if Date greater than previous Selection
That explains it, I'm still on version 2.0. Looks like I need to upgrade, thanks!

Please Log in to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!